#include <windows.h>

LPCSTR szWindowClass = "SAMPLE_CLASS";
LPCSTR szWindowTitle = "Sample Application";
LPCSTR szHello = "Hello, Windows C Programming !";

LRESULT CALLBACK WndProc(HWND hWnd, UINT message,
                         WPARAM wParam, LPARAM lParam)
{
    PAINTSTRUCT ps;
    HDC hdc;
    RECT rt;

    switch (message) {
	    case WM_COMMAND:
    	    switch (LOWORD(wParam)) {
        		default:
            		return DefWindowProc(hWnd, message, wParam, lParam);
			}
        	break;
	    case WM_PAINT:
    	    hdc = BeginPaint(hWnd, &ps);
        	GetClientRect(hWnd, &rt);
        	DrawText(hdc, szHello, lstrlen(szHello), &rt,
            	     DT_CENTER | DT_SINGLELINE | DT_VCENTER);
        	EndPaint(hWnd, &ps);
        	break;
    	case WM_DESTROY:
        	PostQuitMessage(0);
        	break;
    	default:
        	return DefWindowProc(hWnd, message, wParam, lParam);
   	}

    return 0;
}

int APIENTRY WinMain(HINSTANCE hInstance,
                     HINSTANCE hPrevInstance,
                     LPSTR     lpCmdLine,
                     int       nCmdShow)
{
    MSG msg;
    WNDCLASSEX wcex;
    HWND hWnd;

    wcex.cbSize = sizeof(WNDCLASSEX); 

    wcex.style          = CS_HREDRAW | CS_VREDRAW;
    wcex.lpfnWndProc    = (WNDPROC)WndProc;
    wcex.cbClsExtra     = 0;
    wcex.cbWndExtra     = 0;
    wcex.hInstance      = hInstance;
    wcex.hIcon          = LoadIcon(NULL,IDI_APPLICATION);
    wcex.hCursor        = LoadCursor(NULL, IDC_ARROW);
    wcex.hbrBackground  = (HBRUSH)(COLOR_WINDOW+1);
    wcex.lpszMenuName   = NULL;
    wcex.lpszClassName  = szWindowClass;
    wcex.hIconSm        = NULL;

    RegisterClassEx(&wcex);

    hWnd = CreateWindow(szWindowClass,
        szWindowTitle, WS_OVERLAPPEDWINDOW,
        CW_USEDEFAULT, 0, CW_USEDEFAULT, 0,
        NULL, NULL, hInstance, NULL);

    if (!hWnd) 
        return FALSE;

    ShowWindow(hWnd, nCmdShow);
    UpdateWindow(hWnd);

    while (GetMessage(&msg, NULL, 0, 0)) {
        TranslateMessage(&msg);
        DispatchMessage(&msg);
    }

    return msg.wParam;
}
